import { world, system } from "@minecraft/server";
/* 
Checks which item is in the mainhand
*/
export function itemHold(player) {
  const typeId = player.typeId;
  if (typeId !== "minecraft:player") {
    return;
  }

  const holdingItem = player.getComponent("equippable").getEquipment("Mainhand");
  if (holdingItem == undefined) {
    return;
  } else {
    if (holdingItem.typeId.includes("mrki_ab:guide_book_spawn_egg")) {
      player.runCommand('/titleraw @s actionbar {"rawtext":[{"translate":"mrki_ab.guide_book.actionbar_hint"}]}');
    }
    if (holdingItem.typeId.includes("mrki_ab:alphabet_wand")) {
      player.runCommand('/titleraw @s actionbar {"rawtext":[{"translate":"mrki_ab.alphabet_wand.actionbar_hint"}]}');
    }
  }
}
